# include <stdio.h>
# define MAXDAYS 5
/*
 * 1.Κατά τη διάρκεια ενός μήνα καταγράφονται καθημερινά
οι μονάδες χρέωσης ενός συνδρομητή του ΟΤΕ σε έναν
πίνακα 30 θέσεων.
Να γραφεί πρόγραμμα το οποίο θα διαβάζει και θα
τοποθετεί στον πίνακα αυτά τα στοιχεία και στη συνέχεια
θα υπολογίζει και θα εμφανίζει:
    1. Τις συνολικές μονάδες χρέωσης του συνδρομητή.
    2. Την ημέρα με τις περισσότερες μονάδες χρέωσης.
    3. Αν οι πρώτες 10 μονάδες χρεώνονται 5 ευρώ και κάθε μια μονάδα μετά χρεώνεται με 1 ευρώ, τότε πόσα λεφτά θα πληρώσουμε; πχ για 11 μονάδες δίνουμε 6 ευρώ.
    4. Ποια είναι η μέση ημερήσια κατανάλωση σε μονάδες;*/
   
/** diabazei tis monades tou xristi **/
void readUnits(int x[],int n)
{
	int i;
	for(i=0;i<n;i++)
	{
		printf("Dose monades gia imera %4d ?",(i+1));
		scanf("%d",&x[i]);
	}
}

/** athroizei tis monades tou xristi **/
int sumUnits(int x[],int n)
{
	int i;
	int sum=0;
	for(i=0;i<n;i++)
	{
		sum=sum+x[i];
	}
	return sum;
}

/** epistrefei tin imera me tis perissoteres monades **/
int maxDay(int x[],int n)
{
	int posMax=0,max=x[0];
	int i;
	for(i=0;i<n;i++)
	{
		if(x[i]>max)
		{
			max=x[i];
			posMax=i;
		}
	}
	return posMax;
}


/** oi 5 protes monades 10 euro kai 
 *  kathe epomeni apo 1 euro **/
int kostos(int x[],int n)
{
	int totalCost=0;
	/** xrisimopoio synartisi pou exo idi **/
	int units=sumUnits(x,n);
	if(units<=10) totalCost=5;
	else
	{
		/** units-10 einai poses monades einai pano apo 10 **/
		totalCost = 5 + (units - 10) * 1;
	}
	return totalCost;
}

/** tha epistrepsei tin mesi imerisia katanalosi se monades **/
double averageUnits(int x[],int n)
{
	int units=sumUnits(x,n);
	return (double)units/n;
}

int main()
{
	int units[MAXDAYS];
	int totalUnits;
	int maxUnitsDay;
	readUnits(units,MAXDAYS);
	totalUnits=sumUnits(units,MAXDAYS);
	printf("Katanaloses %4d monades \n",totalUnits);
	maxUnitsDay=maxDay(units,MAXDAYS);
	printf("I imera me tis perissoteres monades einai i %4d \n",maxUnitsDay+1);
	printf("Tha pliroseis %5d euro \n",kostos(units,MAXDAYS));
	printf("I mesi imerisia katanalosi einai %5.2lf \n",averageUnits(units,MAXDAYS));
	return 0;
}
